### Signal

# Clutter LayoutManager::layout-changed

#### Declaration

    void
    layout_changed (
      ClutterLayoutManager* self,
      gpointer user_data
    )

#### Description [src]

The signal is emitted each time a layout manager has been changed. Every `ClutterActor` using the `manager` instance as a layout manager should connect a handler to the `ClutterLayoutManager::layout-changed` signal and queue a relayout on themselves:

      static void layout_changed (ClutterLayoutManager *manager,
                                  ClutterActor         *self)
      {
        clutter_actor_queue_relayout (self);
      }
      ...
        self->manager = g_object_ref_sink (manager);
        g_signal_connect (self->manager, "layout-changed",
                          G_CALLBACK (layout_changed),
                          self);

Sub-classes of `ClutterLayoutManager` that implement a layout that can be controlled or changed using parameters should emit the ::layout-changed signal whenever one of the parameters changes, by using `clutter_layout_manager_layout_changed()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.